
Core - Bug # 52835

Status: Resolved Priority: Should have
Author: Fabien Udriot Category: File Abstraction Layer (FAL)
Created: 2013-10-15 Assigned To: Steffen Ritter
Updated: 2013-12-07 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity: no-brainer
Is Regression: No
Sprint Focus:
Subject: File module: missing icon "edit" in context menu
Description

In File module, the "edit" icon is missing in context menu even for Admin User.

Associated revisions
Revision e0c68ddf - 2013-12-07 09:50 - Steffen Ritter

[TASK] Add editing of file metadata to ClickMenu

The Context-Menu of files misses the editing pen allowing
to directly edit the metadata of the file. Currently it
only shows the edit-content possibility in case it is a
text file.

This patch adds the missing option.

Resolves: #52835
Releases: 6.2
Change-Id: I869d8a57d2cacc04455df5189b5cc7af02c2e9cf
Reviewed-on: https://review.typo3.org/25811
Reviewed-by: Steffen Müller
Tested-by: Steffen Müller
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind
Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter

History
#1 - 2013-10-15 10:51 - Fabien Udriot
- File Screen_Shot_2013-10-15_at_10.45.12_AM.png added

ScreenShot-2013-10-15.png

#2 - 2013-10-15 10:52 - Fabien Udriot
- File deleted (Screen_Shot_2013-10-15_at_10.45.12_AM.png)
#3 - 2013-10-15 10:53 - Fabien Udriot
- File ScreenShot-2013-10-15.png added

#4 - 2013-11-30 16:28 - Steffen Ritter
- Status changed from New to Accepted
- Assigned To set to Steffen Ritter

#5 - 2013-11-30 19:59 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25811

#6 - 2013-11-30 20:07 - Steffen Ritter
- Complexity set to no-brainer

#7 - 2013-11-30 20:07 - Steffen Ritter
- % Done changed from 0 to 100
- Estimated time set to 0.50

#8 - 2013-11-30 21:22 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25811

#9 - 2013-11-30 22:06 - Steffen Müller
- File edit-file.png added

Having two items labeled with "edit" is ambiguous to the user.
edit-file.png

#10 - 2013-12-01 13:08 - Stefan Neufeind

The first one is added: edit meta-data (actually: edit the "record").
The second one existed before. Imho this is the one which is "out of line" from a programmers POV because it doesn't edit the record you clicked on,
like we usually do, but instead edits the referenced object (the file it points to).

#11 - 2013-12-01 15:03 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25811

#12 - 2013-12-01 15:06 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25811
#13 - 2013-12-07 10:30 - Steffen Ritter
- Status changed from Under Review to Resolved

Applied in changeset commit:e0c68ddfe9acf888638c223d9b642cadb908da5e.

Files
ScreenShot-2013-10-15.png 112.7 kB 2013-10-15 Fabien Udriot
edit-file.png 15.4 kB 2013-11-30 Steffen Müller
